package de.ugoe.cs.autoquest.usability.evaluation.rule.set;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class RulesetFactory {
    
    public static EmptyUsabilityRuleset emptyUsabilityRuleset() {
	return new EmptyUsabilityRuleset();
    }
    
    public static TextInputUsabiliyRuleset textInputUsabiliyRuleset() {
	return new TextInputUsabiliyRuleset();
    }
    
    public static MouseInteractionUsabilityRuleset mouseInteractionUsabiliyRuleset() {
        return new MouseInteractionUsabilityRuleset();
    }
}
